--[[
filename: localization.lua
author: Jeff Parker <jeff3parker@gmail.com>
created: Sat, 11 Jun 2005 14:15:00 -0800
updated: Sun, 12 Jun 2005 21:39:00 -0800

Special thanks to Thomas Friedrich for the German translations

]]

local PetFeeder_Version = "3.0";

	PETFEEDER_TITLE = "PetFeeder v"..PetFeeder_Version;

	-- binding texts
	BINDING_HEADER_PETFEEDER            = "Pet Feeder";
	BINDING_NAME_PETFEEDER_TOGGLE       = "Toggle the PetFeeder window";
	BINDING_NAME_PETFEEDER_FEED      = "Force feed pet (unless already feeding)";

	-- UI Text located in the XML file
	PETFEEDER_ENABLE="Enable PetFeed";
	PETFEEDER_AUTODETECT="Automatically detect/update foods";
	PETFEEDER_ENABLE_ALERTS="Enable PetFeed Alerts";
	PETFEEDER_FEEDING_THRESHOLD="Pet Feeding Threshold";
	PETFEEDER_CONSUME_FOODS="Consume Foods";
	PETFEEDER_SORT1="Sort by";
	PETFEEDER_SORT2="Then by";
	PETFEEDER_FOODS="Pet Foods";
	PETFEEDER_UNLIKED_FOODS="Unliked Pet Foods";
	PETFEEDER_CLEARFOODS="Clear Foods";
	PETFEEDER_UPDATEFOODS="Update Foods";
	PETFEEDER_RESTORES="Restores";  -- used to get the quality of food : "Use: Restores 62.5 points of health over 18 seconds"
	PETFEEDER_FEED_PET="Feed Pet";
	PETFEEDER_HUNTER="Hunter";
	
	PETFEEDER_TAB_GENERAL = "General";
	PETFEEDER_TAB_LIST = "Foods";
	PETFEEDER_TAB_UNLIKED = "Unliked Foods";
	PETFEEDER_TAB_OPTIONS = "Options";

	PETFEEDER_LEVELS_DROPDOWN = {
		{ name = "Content" },
		{ name = "Happy" }
	};

	PETFEEDER_SORTOPTION_DROPDOWN = {
		{ name = "None", func = nil},
		{ name = "By Quantity High->Low", func = sortQuantityHighLow },
		{ name = "By Quantity Low->High", func = sortQuantityLowHigh },
		{ name = "By Quality High->Low", func = sortQualityHighLow },
		{ name = "By Quality Low->High", func = sortQualityLowHigh },
		{ name = "Alphabetically Z-A", func = sortAlphabeticallyHighLow },
		{ name = "Alphabetically A-Z", func = sortAlphabeticallyLowHigh }
	};

	-- Chat message text
	PETFEEDER_FAILED_TO_FEED = "You fail to perform Feed Pet: Your pet doesn't like that food.";
	PETFEEDER_AFK = "You are now AFK: Away from Keyboard";
	PETFEEDER_FOODTOOLOW    = "You fail to perform Feed Pet: That food's level is not high enough for your pet.";

	-- Messages
	PETFEEDER_ESTABLISH_PET = "You need to establish a pet first";
	PETFEEDER_REMOVE_FOOD = "PetFeeder removing unliked food ";
	PETFEEDER_UNLIKED_FOOD = "Your pet doesn't like to eat ";
	PETFEEDER_EATS_A = " eats a ";
	PETFEEDER_NO_FOOD = " could not find any food to eat.";
	PETFEEDER_BEGIN_SEARCH = " begins looking for food...";

	FOOD_SEARCH = { " Meat", " Jerky", "Crispy", " Kabob", " Ribs", " Flank", " Flesh", " Leg", " Steak", " Sausage", " Stew"
				   ,"Crispy", "Mutton", "Venison", "Chops", "Shank", "Barbecued", "Roast", "Mackerel", "Smallfish"
				   ,"Raw ", "Albacore", "Snapper", "Filet", "Fillet", "Catfish", " Cod", " Trout", "Bloodbelly", "Grilled"
				   ,"  Bass"," Salmon", "Cheddar", "Yellowtail", "Cooked ", "Baked ", " Bread", " Muffin", " Cookie"
				   ,"Crab", "Cornbread", " Rye", " Cake", "Ricecake", "Pumpernickel", "Sourdough", "Sweet Roll", "Mushroom"
				   ,"Senggin", "Morel", "Delicious", "Bleu", "Dalaran Sharp", "Dwarven Mild", "Brie", "Swiss", "Apple"
				   ,"Banana", "Pumpkin", "Peach", "Plantain", "Watermelon", "Savory", " Surprise", " Chowder", " Soup"
				   ,"Seasoned", "Gumbo", "Deviled", "Omelet", "Scorcho", "Bisque", "Rockscale", "Bolete", " Chi"
				   ,"Monster Om", "Squid", "Ice Cream","Melon"
				  };


if (GetLocale() == "deDE") then
	PETFEEDER_TITLE = "PetFeeder v"..PetFeeder_Version;

	-- binding texts
	BINDING_HEADER_PETFEEDER            = "Pet Feeder";
	BINDING_NAME_PETFEEDER_TOGGLE       = "schalte das PetFeeder Fenster um";
	BINDING_NAME_PETFEEDER_FEED      = "f\195\188ttere Tier";

	-- UI Text located in the XML file
	PETFEEDER_ENABLE="PetFeed aktivieren";
	PETFEEDER_AUTODETECT="Futter automatisch hinzuf\195\188gen";
	PETFEEDER_ENABLE_ALERTS="Meldungen aktivieren";
	PETFEEDER_FEEDING_THRESHOLD="fressen bis";
	PETFEEDER_CONSUME_FOODS="Futter Anordnen";
	PETFEEDER_FEED_PET="f\195\188ttere Tier";
	PETFEEDER_SORT1="sortiere nach";
	PETFEEDER_SORT2="dann nach";	
	PETFEEDER_PETFOODS="Tierfutter";
	PETFEEDER_CLEARFOODS="L\195\182schen";
	PETFEEDER_UPDATEFOODS="Aktualisieren";
	PETFEEDER_HUNTER="J\195\164ger";
	
	PETFEEDER_LEVELS_DROPDOWN = {
		{ name = "Zufrieden" },
		{ name = "Gl\195\188cklich" }
	};

	PETFEEDER_SORTOPTION_DROPDOWN = {
	{ name = "wie hinzugef\195\188gt",  func = nil  },
	{ name = "nach Menge hoch->niedrig", func = sortQuantityLowHigh },
	{ name = "nach Menge niedrig->hoch", func = sortQuantityLowHigh },
	{ name = "nach Qualitt hoch->niedrig", func = sortQualityHighLow },
	{ name = "nach Qualitt niedrig->hoch", func = sortQualityLowHigh },
	{ name = "alphabetisch Z-A", func = sortAlphabeticallyHighLow },
	{ name = "alphabetisch A-Z", func = sortAlphabeticallyLowHigh }
};

	-- Chat message text
	PETFEEDER_FAILED_TO_FEED = "Euer Begleiter mag dieses Futter nicht.";
	PETFEEDER_AFK = "Ihr seit jetzt AFK:";
	PETFEEDER_FOODTOOLOW    = "Die Stufe des Essens ist nicht hoch genugf\195\188r Euren Begleiter";
	
	-- Messages
	PETFEED_ESTABLISH_PET = "Du musst ein Tier bei Dir haben.";
	PETFEEDER_REMOVE_FOOD = "PetFeeder entfernt unbeliebtes Futter ";
	PETFEEDER_UNLIKED_FOOD = "Dein Tier mag dieses Futter nicht.";
	PETFEEDER_EATS_A = " frisst ein ";
	PETFEEDER_NO_FOOD = " konnte kein passendes Futter finden";
	PETFEEDER_BEGIN_SEARCH = " Beginnt, um Speise zu suchen...";
	
	FOOD_SEARCH = { " Fleisch", " Ruckartig", "Knusprig", " Kabob", " Rippen", " Flanke", " Flesh", " Bein", " Steak", " Wurst", " Eintopf"
				   ,"Hammelfleisch", "Rehfleisch", "Hackt", "Shank", "Gegrillt", "Braten", "Mackerel", "Smallfish"
				   ,"Roh ", "Albacore", "Snapper", "Filet", "Fillet", "Wels", " Kabeljau", " Forelle", "Bloodbelly", "Gegrillt"
				   ,"  Bass"," Lachs", "Cheddarkse", "Yellowtail", "Gekocht ", "Gebacken ", " Brot", " Muffinkuchen", " Pltzchen"
				   ,"Krebs", "Cornbread", " Rye", " Kuchen", "Ricecake", "Pumpernickel", "Sourdough", "Se Rolle", "Pilz"
				   ,"Senggin", "Morel", "Kstlich", "Bleu", "Dalaran Sharp", "Dwarven Mild", "Brie", "Schweizer", "Apfel"
				   ,"Banane", "Krbis", "Pfirsich", "Plantain", "Wassermelone", "Lecker", " berraschung", " Chowder", " Suppe"
				   ,"Seasoned", "Gumbo", "Deviled", "Omelet", "Scorcho", "Bisque", "Rockscale", "Bolete", " Chi"
				   ,"Monster Om", "Tintenfisch", "Eis"
				  };

elseif (GetLocale() == "frFR") then
	PETFEEDER_HUNTER="Chasseur";
end

